farprintstrings(1)

NAME
farprintstrings - print FSTs in a finite-state archive as strings

SYNOPSIS
farprintstrings [OPTIONS] [in1.far in2.far...]

DESCRIPTION

Prints the FSTs a finite-state archive as strings.

OPTIONS

Boolean options accept either true or false as a value, or the implicit value true if neither value is specified.

--begin_key=NAME
    Set the first key to extract. Default: first key in the archive.

--end_key=NAME
    Set the last key to extract. Default: last key in the archive.

--entry_type=TYPE
    Set the entry type, either file (one FST per file) or line (one FST per line). Default: line.

--filename_prefix=STRING
    Set the prefix to prepend to filenames. Default: no prefix.

--filename_suffix=STRING
    Set the suffix to append to filenames. Default: no suffix.

--fst_align[=BOOLEAN]
    Write FST data aligned where appropriate. Default: false.

--fst_compat_symbols[=BOOLEAN]
    Require symbol tables to match when appropriate. Default: true.

--fst_default_cache_gc[=BOOLEAN]
    Enable garbage collection of cache. Default: true.

--fst_default_cache_gc_limit=N
    Set the cache byte size that triggers garbage collection. Default: 1048576.

--fst_error_fatal[=BOOLEAN]
    If true, FST errors are fatal. Otherwise, returned objects are flagged as bad. For example, FSTs are returned with the kError property set to true, and FST weights set so that Member() returns false. Default: true.

--fst_field_separator=STRING
    Set the characters used as a separator between printed fields. Default:
    "     ".

--fst_read_mode=STRING
    Set the default file reading mode for mappable files, either "read" or "map". Default: "read".

--fst_verify_properties[=BOOLEAN]
    Verify fst properties queried by TestProperties. Default: false.

--fst_weight_parentheses=STRING
    Set the characters enclosing the first weight of a printed composite weight (e.g., pair weight, tuple weight, and derived classes) to ensure proper I/O of nested composite weights. Must have size 0 (none) or 2 (open and close parenthesis). Default: no parentheses.

--fst_weight_separator=CHARACTER
    Set the character separator between printed composite weights. Default: comma.

--generate_filenames=N
    Generate N digit numeric filenames. Default: use keys.

--help[=BOOLEAN]
    Show usage information. Default: false.

--helpshort[=BOOLEAN]
    Show brief usage information. Default: false.

--initial-symbols[=BOOLEAN]
    Use the symbol table from the first FST in the archive for all entries.

--print_key[=BOOLEAN]
    Prefix each string by its key. Default: false.

--print_weight[=BOOLEAN]
    Suffix each string by its weight. Default: false.

--save_relabel_ipairs=FILENAME
    Save input relabel pairs to file. Default: do not save.

--save_relabel_opairs=FILENAME
    Save output relabel pairs to file. Default: do not save.

--symbols=FILENAME
    Read the label symbol table from a file. Default: do not read a table.

--tmpdir=PATHNAME
    Set the temporary directory to use. Default: /tmp.

--token_type=TYPE
    Set the token type, one of symbol, byte, or utf8. Default: symbol.

--v[=N]
    Set the verbosity level. Default: 0.

SEE ALSO

farcompilestrings(1), farcreate(1), farequal(1), farextract(1), farinfo(1), farisomorphic(1)